Loading...
Searching...
No Matches
RDKit::EnumerateStereoisomers::StereoisomerEnumerator Class Reference

`#include <EnumerateStereoisomers.h>`

## Public Member Functions

| StereoisomerEnumerator ()=delete
| StereoisomerEnumerator (const ROMol &mol, const StereoEnumerationOptions &options=StereoEnumerationOptions(), bool verbose=false)
| StereoisomerEnumerator (const StereoisomerEnumerator &other)=delete
| StereoisomerEnumerator (StereoisomerEnumerator &&other)=delete
| ~StereoisomerEnumerator ()=default
StereoisomerEnumerator & | operator= (const StereoisomerEnumerator &other)=delete
StereoisomerEnumerator & | operator= (StereoisomerEnumerator &&other)=delete
std::uint64_t | getStereoisomerCount () const
std::unique_ptr< ROMol > | next ()

## Detailed Description

Definition at line 65 of file EnumerateStereoisomers.h.

## Constructor & Destructor Documentation

## StereoisomerEnumerator() [1/4]

RDKit::EnumerateStereoisomers::StereoisomerEnumerator::StereoisomerEnumerator | ( |  | ) |

delete

Referenced by operator=(), operator=(), StereoisomerEnumerator(), and StereoisomerEnumerator().

## StereoisomerEnumerator() [2/4]

RDKit::EnumerateStereoisomers::StereoisomerEnumerator::StereoisomerEnumerator | ( | const ROMol & | mol,
|  | const StereoEnumerationOptions & | options = StereoEnumerationOptions(),
|  | bool | verbose = false )

## StereoisomerEnumerator() [3/4]

RDKit::EnumerateStereoisomers::StereoisomerEnumerator::StereoisomerEnumerator | ( | const StereoisomerEnumerator & | other | ) |

delete

References StereoisomerEnumerator().

## StereoisomerEnumerator() [4/4]

RDKit::EnumerateStereoisomers::StereoisomerEnumerator::StereoisomerEnumerator | ( | StereoisomerEnumerator && | other | ) |

delete

References StereoisomerEnumerator().

## ~StereoisomerEnumerator()

RDKit::EnumerateStereoisomers::StereoisomerEnumerator::~StereoisomerEnumerator | ( |  | ) |

default

## Member Function Documentation

## getStereoisomerCount()

std::uint64_t RDKit::EnumerateStereoisomers::StereoisomerEnumerator::getStereoisomerCount | ( |  | ) | const

## next()

std::unique_ptr< ROMol > RDKit::EnumerateStereoisomers::StereoisomerEnumerator::next | ( |  | ) |

## operator=() [1/2]

StereoisomerEnumerator & RDKit::EnumerateStereoisomers::StereoisomerEnumerator::operator= | ( | const StereoisomerEnumerator & | other | ) |

delete

References StereoisomerEnumerator().

## operator=() [2/2]

StereoisomerEnumerator & RDKit::EnumerateStereoisomers::StereoisomerEnumerator::operator= | ( | StereoisomerEnumerator && | other | ) |

delete

References StereoisomerEnumerator().

The documentation for this class was generated from the following file:

- EnumerateStereoisomers.h